---
title: CSS Counter Styles
slug: Web/CSS/CSS_Counter_Styles
tags:
  - CSS
  - CSS Counter Styles
  - Guide
  - NeedsContent
  - Overview
  - Reference
---
<div>{{cssref}}</div>

<p><strong>CSS Counter Styles</strong> is a module of CSS that lets you define your own counter styles.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("counter-increment")}}</li>
 <li>{{cssxref("counter-reset")}}</li>
</ul>
</div>

<h3 id="At-rules">At-rules</h3>

<dl>
 <dt>{{cssxref("@counter-style")}}</dt>
 <dd>
 <div class="index">
 <ul>
  <li>{{cssxref("@counter-style/system","system")}}</li>
  <li>{{cssxref("@counter-style/additive-symbols", "additive-symbols")}}</li>
  <li>{{cssxref("@counter-style/negative", "negative")}}</li>
  <li>{{cssxref("@counter-style/prefix", "prefix")}}</li>
  <li>{{cssxref("@counter-style/suffix", "suffix")}}</li>
  <li>{{cssxref("@counter-style/range", "range")}}</li>
  <li>{{cssxref("@counter-style/pad", "pad")}}</li>
  <li>{{cssxref("@counter-style/speak-as", "speak-as")}}</li>
  <li>{{cssxref("@counter-style/fallback", "fallback")}}</li>
 </ul>
 </div>
 </dd>
</dl>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">Using CSS counters</a></dt>
 <dd>Describes how to use counters to number any HTML element or to perform complex counting.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Counter Styles')}}</td>
   <td>{{Spec2('CSS3 Counter Styles')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="counter-style_rule"><code>@counter-style</code> rule</h3>

<p>{{Compat("css.at-rules.counter-style")}}</p>

<h3 id="counter-increment_property"><code>counter-increment</code> property</h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.counter-increment")}}</p>

<h3 id="counter-reset_property"><code>counter-reset</code> property</h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.counter-reset")}}</p>
